Status: Resolved Priority: Should have
Author: Nils Dehl Category:
Created: 2010-07-08 Assigned To: Rens Admiraal
Updated: 2012-08-31 Due date:
Subject: Create a new tree based breadcrumb menu component 
Description

Create a new breadcrumb menu component based on a Ext.tree.TreePanel.

Behaviour see TYPO3 5.0 Experience Concept Presentation starting with slide 150.

The tree data structure allows us to have hierarchical menus. Add and remove childnodes or dynamical reload them.
technical todos:
    -  Create a abstract breadcrumb menu component based on Ext.tree.TreePanel 
    -  Creat a NodeUi class which render the tree horizontal
    -  add the animations and behaviour jens described in the slides.

Additionally, see the JavaScript class F3.TYPO3.UserInterface.BreadcrumbMenu for the (currently quite hacky) implementation, which
needs to be refactored.

Related issues:
related to TYPO3.Neos - Task # 8795: Rootline should be renamed to Breadcrumb... Resolved 2010-07-10

History
#1 - 2010-07-08 15:03 - Rens Admiraal

I'm working on this one...

#2 - 2010-07-08 16:57 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2010-07-14 10:00 - Sebastian Kurfuerst

Hey Rens,

I just wanted to ask what the current status on this issue is. Do you have any open questions, or is there anything we can do to support you solving this
issue? You'll find us in the usual Jabber chatroom.

Thanks in advance for a short status!

Greets,
Sebastian

#4 - 2010-07-19 21:32 - Sebastian Kurfuerst
- Assigned To set to Rens Admiraal

#5 - 2010-07-20 08:12 - Rens Admiraal
Hi Sebastian,

My time has been stuffed with a deadline for work... Will be working on this one tonight.

Status:
Menu is horizontal, some styling has still to be done, and the effects have to be added. Maybe we can chat a bit about the effects today / this evening?
Will get online on jabber also...

Greetz

#6 - 2010-07-20 09:20 - Sebastian Kurfuerst

Great! I'll have time until 15:00 today, after that I won't be online anymore.

Greets,
Sebastian

#7 - 2010-07-24 11:10 - Sebastian Kurfuerst
- File tmp.html added

Hey,

I have been trying to fix the issue with the horizontal slide-in. So far, I have been mostly able to isolate the issue -- see the attached "tmp.html" file for a
test.

The problem is that the el.slideIn() function cannot work with inline elements, as it seems.

That's why I have tried out something else: Make all the elements Block Elements, and make them float to the left. Then, just animate the width of the
element. This works, but then one needs the target size of the element. However, as only the icons should be slided out at the current point, this should
be pretty easy to calculate. If we need to slide out text, we could use Ext.util.TextMetrics.measure() to measure the size of the text.

Hope this already helps,
Sebastian

#8 - 2010-07-25 11:40 - Rens Admiraal

Hi Sebastian: it worked ;-)

Needs some finetuning for 2nd and higher levels, but will be working on this today. I wasn't sure if it was a good thing to use the Git repository for the
standalone menu, so I created my own repo for this one: http://github.com/radmiraal/Horizontal-ExtJS-Menu

#9 - 2010-07-25 11:44 - Sebastian Kurfuerst

Hey Rens,

really cool; that looks already really promising!

If you need any more help, let me know :-)
Looking forward to the results,
Sebastian

#10 - 2010-08-20 12:56 - Karsten Dambekalns
- Target version changed from 593 to 628

#11 - 2010-08-27 11:08 - Robert Lemke
- Subject changed from Create a new tree based rootlinemenu component  to Create a new tree based breadcrumb menu component 

#12 - 2010-10-16 10:44 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

this has been done, that's why I close that issue.

#13 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Category deleted (JavaScript)
- Target version deleted (628)

#14 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
tmp.html 1 kB 2010-07-24 Sebastian Kurfuerst
